@mixin code-controls() {
    @extend %row;

    @include abs($bottom: d('fixed-inner'), $right: d('fixed-inner'));

    height: d("default-ui-element");
    z-index: z("above-all");

    background-color: color("white");
    border-radius: d("border-radius");

    button {
        $button-radius: d("button-radius");

        height: 100%;
        background-color: transparent;
        display: inline-block;

        &#toggle-code-button {
            width: 60px;
            border-top-left-radius: $button-radius;
            border-bottom-left-radius: $button-radius;
            
            position: relative;

            .notification {
                width: 20px;
                height: 20px;

                display: none;
                background-color: transparent;

                filter: $highlight;

                @include abs($top: -5px, $left: -20px);
            }

            &.error {
                .notification {
                    display: block;
                }
            }
        }
    
        &#code-gen-button {
            width: 140px;
            border-top-right-radius: $button-radius;
            border-bottom-right-radius: $button-radius;

            background-color: color("orange");
            border-color: color("orange");

            /* img {
                filter: brightness(0) saturate(100%) invert(100%);
            } */
            color: color("white");

            &:hover {
                background-color: color("orange-bright");
                border-color: color("orange-bright");
            }
        }
    }
    
}